
Infrastructure - Story #889

implement registry node response at baseURL for Member Nodes

2010-10-05 17:21 - Matthew Jones

Status: Closed Start date: 2010-10-06

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.12-Block.2   

Story Points:    

Description

When the BaseURL is called for a Member Node, it should return the node description response that lists the methods available, etc.

Subtasks:

Task # 1259: create integration tests for this Closed

Task # 921: Ensure documentation of MN respone from base URL is documented Closed

Task # 919: Implement registry node response for Metacat Closed

Task # 920: Implement registry node response for GMN servers Closed

History

#1 - 2010-10-06 17:39 - Chad Berkley

- Position set to 16

- Target version deleted (CCI-0.6)

#2 - 2010-10-06 17:40 - Chad Berkley

- Milestone set to CCI-0.6

#3 - 2010-10-06 19:38 - Dave Vieglais

- Subject changed from implement registry node response at baseURL for Metacat to implement registry node response at baseURL for Member

Nodes

#4 - 2010-10-07 16:59 - Dave Vieglais

- Position set to 9

- Target version set to Sprint-2010.41

- Position deleted (21)

#5 - 2010-10-22 16:45 - Chad Berkley

- Position set to 3

- Position deleted (31)

- Target version changed from Sprint-2010.41 to Sprint-2010.43

#6 - 2010-10-22 16:45 - Dave Vieglais

- Position deleted (3)

- Position changed from 1 to 53

- Position set to 1

#7 - 2010-10-29 16:57 - Dave Vieglais

- Position set to 2

- Position deleted (51)
- Target version changed from Sprint-2010.43 to Sprint-2010.45

#8 - 2010-11-12 17:40 - Dave Vieglais

- Target version changed from Sprint-2010.45 to Sprint-2010.46

- Position set to 2

- Position deleted (28)

#9 - 2010-11-19 17:46 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2010.46 to Sprint-2010.48

- Position deleted (18)

#10 - 2010-12-06 22:31 - Chad Berkley

- Category changed from Metacat to Documentation

- Status changed from New to In Progress

- Assignee changed from Chad Berkley to Dave Vieglais

#11 - 2010-12-13 18:34 - Dave Vieglais

- Position set to 2

- Target version changed from Sprint-2010.48 to Sprint-2010.50

- Position deleted (42)

#12 - 2011-01-03 02:21 - Dave Vieglais

- Position set to 12

- Target version changed from Sprint-2010.50 to Sprint-2011.01

- Position deleted (4)

#13 - 2011-01-10 18:27 - Dave Vieglais

- Target version changed from Sprint-2011.01 to Sprint-2011.02

- Position deleted (12)

- Position set to 23

#14 - 2011-01-17 16:25 - Dave Vieglais

- Position deleted (28)

- Target version changed from Sprint-2011.02 to Sprint-2011.03

- Position set to 5

#15 - 2011-01-17 16:29 - Dave Vieglais

- Position deleted (6)

- Position set to 34

#16 - 2011-01-24 17:34 - Dave Vieglais

- Position set to 2

- Position deleted (44)

- Target version changed from Sprint-2011.03 to Sprint-2011.09-Block.2

#17 - 2011-03-07 17:39 - Dave Vieglais

- Position changed from 1 to 169

- Position set to 1
- Position deleted (55)

- Target version changed from Sprint-2011.09-Block.2 to Sprint-2011.10-Block.2

#18 - 2011-03-14 19:06 - Rob Nahf

- Milestone deleted (CCI-0.6)

rnahf finished writing the test case in d1_integration, so probably can close the story.

#19 - 2011-03-17 16:05 - Dave Vieglais

- Position deleted (174)

- Target version changed from Sprint-2011.10-Block.2 to Sprint-2011.11-Block.2

- Position set to 17

#20 - 2011-03-22 14:03 - Dave Vieglais

- Position deleted (23)

- Position set to 21

- Target version changed from Sprint-2011.11-Block.2 to Sprint-2011.12-Block.2

#21 - 2011-03-28 15:16 - Dave Vieglais

- Status changed from In Progress to Closed
